IOSS 2.0

Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
ObjScopeGuardImpl1< Obj, MemFun, P1 > Class Template Reference

`#include <Ioss_ScopeGuard.h>`

Inheritance diagram for ObjScopeGuardImpl1< Obj, MemFun, P1 >:
[legend]
Collaboration diagram for ObjScopeGuardImpl1< Obj, MemFun, P1 >:
[legend]

## Public Member Functions
| ~ObjScopeGuardImpl1 ()
void | Execute ()
Public Member Functions inherited from ScopeGuardImplBase
| ScopeGuardImplBase ()
void | Dismiss () const

## Static Public Member Functions
static ObjScopeGuardImpl1< Obj, MemFun, P1 > | MakeObjGuard (Obj &obj, MemFun memFun, P1 p1)

## Protected Member Functions
| ObjScopeGuardImpl1 (Obj &obj, MemFun memFun, P1 p1)
Protected Member Functions inherited from ScopeGuardImplBase
| ~ScopeGuardImplBase ()=default
| ScopeGuardImplBase (const ScopeGuardImplBase &other)

## Protected Attributes
Obj & | obj_
MemFun | memFun_
const P1 | p1_
Protected Attributes inherited from ScopeGuardImplBase
bool | dismissed_

## Additional Inherited Members
Static Protected Member Functions inherited from ScopeGuardImplBase
template<typename J >
static void | SafeExecute (J &j)

## Constructor & Destructor Documentation

## ◆ ~ObjScopeGuardImpl1()

template<class Obj , typename MemFun , typename P1 >

ObjScopeGuardImpl1< Obj, MemFun, P1 >::~ObjScopeGuardImpl1 | ( |  | ) |
| inline

## ◆ ObjScopeGuardImpl1()

template<class Obj , typename MemFun , typename P1 >

ObjScopeGuardImpl1< Obj, MemFun, P1 >::ObjScopeGuardImpl1 | ( | Obj & | obj,
|  | MemFun | memFun,
|  | P1 | p1
| ) |  |
| inlineprotected

## Member Function Documentation

## ◆ Execute()

template<class Obj , typename MemFun , typename P1 >

void ObjScopeGuardImpl1< Obj, MemFun, P1 >::Execute | ( |  | ) |
| inline

## ◆ MakeObjGuard()

template<class Obj , typename MemFun , typename P1 >

static ObjScopeGuardImpl1<Obj, MemFun, P1> ObjScopeGuardImpl1< Obj, MemFun, P1 >::MakeObjGuard | ( | Obj & | obj,
|  | MemFun | memFun,
|  | P1 | p1
| ) |  |
| inlinestatic

## Member Data Documentation

## ◆ memFun_

template<class Obj , typename MemFun , typename P1 >

MemFun ObjScopeGuardImpl1< Obj, MemFun, P1 >::memFun_
| protected

## ◆ obj_

template<class Obj , typename MemFun , typename P1 >

Obj& ObjScopeGuardImpl1< Obj, MemFun, P1 >::obj_
| protected

## ◆ p1_

template<class Obj , typename MemFun , typename P1 >

const P1 ObjScopeGuardImpl1< Obj, MemFun, P1 >::p1_
| protected

The documentation for this class was generated from the following file:

- src/Ioss_ScopeGuard.h